#!/usr/bin/dh-exec

# Kernel dbg packages contain a full image with debug data
linux-image-5.9.0-1-powerpc64le-dbg: dbg-package-missing-depends

# glibc doesn't seem to check for a PT_GNU_STACK section in vDSOs, so
# it's OK that they don't have it
[arm64 armhf] linux-image-5.9.0-1-powerpc64le-dbg: shlib-without-PT_GNU_STACK-section usr/lib/debug/lib/modules/5.9.0-1-powerpc64le/vdso/vdso.so
[amd64 i386 ppc64el s390x] linux-image-5.9.0-1-powerpc64le-dbg: shlib-without-PT_GNU_STACK-section usr/lib/debug/lib/modules/5.9.0-1-powerpc64le/vdso/vdso32.so
[amd64 ppc64el s390x] linux-image-5.9.0-1-powerpc64le-dbg: shlib-without-PT_GNU_STACK-section usr/lib/debug/lib/modules/5.9.0-1-powerpc64le/vdso/vdso64.so
[amd64] linux-image-5.9.0-1-powerpc64le-dbg: shlib-without-PT_GNU_STACK-section usr/lib/debug/lib/modules/5.9.0-1-powerpc64le/vdso/vdsox32.so

# It is intended that 64-bit kernels provide vDSOs for 32-bit executables
[amd64 ppc64el s390x] linux-image-5.9.0-1-powerpc64le-dbg: binary-from-other-architecture usr/lib/debug/lib/modules/5.9.0-1-powerpc64le/vdso/vdso32.so
[amd64] linux-image-5.9.0-1-powerpc64le-dbg: binary-from-other-architecture usr/lib/debug/lib/modules/5.9.0-1-powerpc64le/vdso/vdsox32.so
